osg::MakeString Class Reference

`#include <io_utils>`

## Public Member Functions

| MakeString ()
template<typename T>
MakeString & | operator<< (const T &t)
MakeString & | operator<< (std::ostream &(*fun)(std::ostream &))
MakeString & | clear ()
| operator std::string () const
std::string | str () const

## Public Attributes

std::stringstream | sstream

## Detailed Description

Convinience class for building std::string using stringstream. Usage: MakeString str; std::string s = str<<"Mix strings with numbers "<<0" ; std::string s2 = str.clear()<<"and other classes such as ("<<osg::Vec3(0.0,1.0,3.0)<<)" ;

## Constructor & Destructor Documentation

## MakeString()

osg::MakeString::MakeString | ( |  | ) |

inline

Referenced by clear(), operator<<(), and operator<<().

## Member Function Documentation

## clear()

MakeString & osg::MakeString::clear | ( |  | ) |

inline

References MakeString(), and sstream.

## operator std::string()

osg::MakeString::operator std::string | ( |  | ) | const

inline

References sstream.

## operator<<() [1/2]

template<typename T>

MakeString & osg::MakeString::operator<< | ( | const T & | t | ) |

inline

References MakeString(), and sstream.

## operator<<() [2/2]

MakeString & osg::MakeString::operator<< | ( | std::ostream &(* | fun )(std::ostream &) | ) |

inline

References MakeString(), and sstream.

## str()

std::string osg::MakeString::str | ( |  | ) | const

inline

References sstream.

Referenced by osg::operator<<().

## Member Data Documentation

## sstream

std::stringstream osg::MakeString::sstream

Referenced by clear(), operator std::string(), operator<<(), operator<<(), and str().

The documentation for this class was generated from the following file:

- io_utils